ConfigOverride
Date: 2016-12-04

com.fasterxml.jackson.databind.cfg

## Class ConfigOverride

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverride

- Direct Known Subclasses:
    MutableConfigOverride

      public abstract class ConfigOverride
      extends java.lang.Object

  Configuration object that is accessed by databinding functionality to find overrides to configuration of properties, based on declared type of the property. Such overrides have precedence over annotations attached to actual type (`Class`), but can be further overridden by annotations attached to the property itself.
  Since:
    2.8

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.annotation.JsonFormat.Value` | `_format` Definitions of format overrides, if any.
    `protected com.fasterxml.jackson.annotation.JsonIgnoreProperties.Value` | `_ignorals` Definitions of property ignoral (whether to serialize, deserialize given logical property) overrides, if any.
    `protected com.fasterxml.jackson.annotation.JsonInclude.Value` | `_include` Definitions of inclusion overrides, if any.
    `protected java.lang.Boolean` | `_isIgnoredType` Flag that indicates whether "is ignorable type" is specified for this type; and if so, is it to be ignored (true) or not ignored (false); `null` is used to indicate "not specified", in which case other configuration (class annotation) is used.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConfigOverride()`
    `protected` | `ConfigOverride(ConfigOverride src)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.annotation.JsonFormat.Value` | `getFormat()`
    `com.fasterxml.jackson.annotation.JsonIgnoreProperties.Value` | `getIgnorals()`
    `com.fasterxml.jackson.annotation.JsonInclude.Value` | `getInclude()`
    `java.lang.Boolean` | `getIsIgnoredType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _format

          protected com.fasterxml.jackson.annotation.JsonFormat.Value _format

      Definitions of format overrides, if any.

    - #### _include

          protected com.fasterxml.jackson.annotation.JsonInclude.Value _include

      Definitions of inclusion overrides, if any.

    - #### _ignorals

          protected com.fasterxml.jackson.annotation.JsonIgnoreProperties.Value _ignorals

      Definitions of property ignoral (whether to serialize, deserialize given logical property) overrides, if any.

    - #### _isIgnoredType

          protected java.lang.Boolean _isIgnoredType

      Flag that indicates whether "is ignorable type" is specified for this type; and if so, is it to be ignored (true) or not ignored (false); `null` is used to indicate "not specified", in which case other configuration (class annotation) is used.

  - ### Constructor Detail

    - #### ConfigOverride

          protected ConfigOverride()

    - #### ConfigOverride

          protected ConfigOverride(ConfigOverride src)

  - ### Method Detail

    - #### getFormat

          public com.fasterxml.jackson.annotation.JsonFormat.Value getFormat()

    - #### getInclude

          public com.fasterxml.jackson.annotation.JsonInclude.Value getInclude()

    - #### getIgnorals

          public com.fasterxml.jackson.annotation.JsonIgnoreProperties.Value getIgnorals()

    - #### getIsIgnoredType

          public java.lang.Boolean getIsIgnoredType()